checkRequire("Lua_RankWindow");
Lua_ArenaRankWindow = class("Lua_ArenaRankWindow", Lua_RankWindow)
function Lua_ArenaRankWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_ArenaRankWindow";
end

function Lua_ArenaRankWindow:buildShowItem()
	self:superCall("buildShowItem");

	if DataCenter.funcOpenData:isOpened(10313) then
		self.buttonInfo = Array();
		self.buttonInfo:add({ type = 19, textAtlas = "arena_atlas_1", textNormalSprite = "ui_djc_button_011_n", textSelectedSprite = "ui_djc_button_011_p" });
		self.buttonInfo:add({ type = 2014, textAtlas = "arena_atlas_1", textNormalSprite = "ui_djc_button_012_n", textSelectedSprite = "ui_djc_button_012_p" });

		self.buttonList:setContentRect(236, 118);
		self.buttonList:setButtonCell(Lua_ArenaRankButtonItem);
		self.buttonList:setData(self.buttonInfo);
		self.buttonList.canDrag = false;
		self.buttonList:setSelected(1);
	else
		self.data = DataCenter.rankUtil:getRankConfig(19);
		self:updateShowInfo();
	end
end

function Lua_ArenaRankWindow:dispose()
	if self.buttonInfo then
		self.buttonInfo:clear();
		self.buttonInfo = nil;
	end
	self:superCall("dispose")
end

function Lua_ArenaRankWindow:onButtonClick(index, data)
	self.data = DataCenter.rankUtil:getRankConfig(data.type);
	self:updateShowInfo();
end











Lua_ArenaRankButtonItem = class("Lua_ArenaRankButtonItem", Lua_RankButtonItem)
function Lua_ArenaRankButtonItem:setData(data)
	self.data = data;
	self:updateRedPoint();
end